Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.model
Interface J2eeApplicationObject

All Superinterfaces:
  DeployableObject

public interface J2eeApplicationObject
extends DeployableObject

J2eeApplicationObject is an interface that represents a J2EE application (EAR); it maintains a DeployableObject for each module in the archive.

Method Summary
`void` | `addXpathListener(ModuleType type, java.lang.String xpath, XpathListener xpl)` Register a listener for changes in XPath that are related to this deployableObject.
`DDBean[]` | `getChildBean(ModuleType type, java.lang.String xpath)` Return a list of DDBean based upon an XPath; all deployment descriptors of the specified type are searched.
`DeployableObject` | `getDeployableObject(java.lang.String uri)` Return the DeployableObject of the specified URI designator.
`DeployableObject[]` | `getDeployableObjects()` Return the all DeployableObjects in this application.
`DeployableObject[]` | `getDeployableObjects(ModuleType type)` Return the all DeployableObjects of the specified type.
`java.lang.String[]` | `getModuleUris()` Return the list of URIs for all modules in the application.
`java.lang.String[]` | `getModuleUris(ModuleType type)` Return the list of URIs of the designated module type.
`java.lang.String[]` | `getText(ModuleType type, java.lang.String xpath)` Return the text value from the XPath; search only the deployment descriptors of the specified type.
`void` | `removeXpathListener(ModuleType type, java.lang.String xpath, XpathListener xpl)` Unregister the listener for an XPath.

Methods inherited from interface javax.enterprise.deploy.model.DeployableObject
`entries, getChildBean, getClassFromScope, getDDBeanRoot, getDDBeanRoot, getEntry, getModuleDTDVersion, getText, getType`

Method Detail

### getDeployableObject

    public DeployableObject getDeployableObject(java.lang.String uri)

  Return the DeployableObject of the specified URI designator.

  Parameters:
    `uri` - Describes where to get the module from.
  Returns:
    the DeployableObject describing the j2ee module at this uri or 'null' if there is not match.

### getDeployableObjects

    public DeployableObject[] getDeployableObjects(ModuleType type)

  Return the all DeployableObjects of the specified type.

  Parameters:
    `type` - The type of module to return.
  Returns:
    the list of DeployableObjects describing the j2ee module at this uri or 'null' if there are no matches.

### getDeployableObjects

    public DeployableObject[] getDeployableObjects()

  Return the all DeployableObjects in this application.

  Returns:
    the DeployableObject describing the j2ee module at this uri or 'null' if there are no matches.

### getModuleUris

    public java.lang.String[] getModuleUris(ModuleType type)

  Return the list of URIs of the designated module type.

  Parameters:
    `type` - The type of module to return.
  Returns:
    the Uris of the contained modules or 'null' if there are no matches.

### getModuleUris

    public java.lang.String[] getModuleUris()

  Return the list of URIs for all modules in the application.

  Returns:
    the Uris of the contained modules or 'null' if there are no matches.

### getChildBean

    public DDBean[] getChildBean(ModuleType type,
                                 java.lang.String xpath)

  Return a list of DDBean based upon an XPath; all deployment descriptors of the specified type are searched.

  Parameters:
    `type` - The type of deployment descriptor to query.
    `xpath` - An XPath string referring to a location in the deployment descriptor
  Returns:
    The list of DDBeans or 'null' of there are no matches.

### getText

    public java.lang.String[] getText(ModuleType type,
                                      java.lang.String xpath)

  Return the text value from the XPath; search only the deployment descriptors of the specified type.

  Parameters:
    `type` - The type of deployment descriptor to query.
    `xpath` - An xpath string referring to a location in the deployment descriptor
  Returns:
    The text values of this xpath or 'null' if there are no matches.

### addXpathListener

    public void addXpathListener(ModuleType type,
                                 java.lang.String xpath,
                                 XpathListener xpl)

  Register a listener for changes in XPath that are related to this deployableObject.

  Parameters:
    `type` - The type of deployment descriptor to query.
    `xpath` - The xpath to listen for.
    `xpl` - The listener.

### removeXpathListener

    public void removeXpathListener(ModuleType type,
                                    java.lang.String xpath,
                                    XpathListener xpl)

  Unregister the listener for an XPath.

  Parameters:
    `type` - The type of deployment descriptor to query.
    `xpath` - he XPath to listen for
    `xpl` - The listener

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.